Subject: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Tassilo Horn <[email-masked]>
Date: Thu, 05 Jan 2017 11:11:14 +0100

Mosè Giordano <[email-masked]> writes:

> The bug, in my opinion, is that the "2" is slightly above of "^", and
> "3" is slightly below of "_".  In particular the subscript is more
> problematic because it looks like it's written "-3" (ok, in my example
> there are braces, ideally remove them).

I think I came up with a solution: fontify the script characters
themselves with a custom face.  Thereby, I also made the code that makes
^ and _ invisible if `font-latex-fontify-script' is `invisible' a bit
better so that errors like $x^^2$ or $x^_2$ aren't hidden anymore.

Bye,
Tassilo